Subject: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: Bengt Richter <[email-masked]>
Date: Fri, 16 Aug 2019 12:51:28 -0700

On +2019-08-15 15:05:57 -0700, Calvin Heim wrote:
> resubmitted to list
> On Thu, 2019-08-15 at 12:43 +0200, pelzflorian (Florian Pelz) wrote:
> > 
> > Do I understand correctly that this message appears when booting the
> > DVD, not the installed system?
> Yes.
> 
> > 
> > 
> > On Wed, Aug 14, 2019 at 03:32:06PM -0700, Calvin Heim wrote:
> > > 
> > > 
> > >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> > I cannot check right now if that is a legitimate partition id for the
> > i686 installer, but the installer source code in
> > gnu/system/install.scm should mount a partition with
> > (file-system-label "Guix_image").  You could check from another OS if
> > this partition label exists.  
> From Trisquel 8,
> $ ls /dev/disk/by-label
>   GUIX_IMAGE
>  
> $ls /dev/disk/by-uuid
>  1970-01-01-19-49-46-83
>  [other stuff that doesn't change when the DVD ejects]
>
I have found this incantation, and variants, e.g. filtering with grep, useful also:

$ stat -c %N /dev/disk/by-*/*

I have also encountered, IIRC, system versions where /disk/dev/by-* could present info
from stale cache information, so it might not show what e.g. the following might:

$ lsblk
$ lsblk -f

For your purposes, it might be worth trying asking for interesting
specifics (see lsblk -h for more), e.g.

$ lsblk -o mountpoint,name,size,fstype,label,partlabel,partuuid,uuid

Maybe that partuuid '31393730-3031-3031-3139-343934363833' might show up?

BTW, I think some older systems might not know how to look for partuuid,
(especially beyond the intial boot device?) and it could be worth trying
plain uuid instead. I suspected such a stiutation when I got
a not-found in the past, but did not diagnose it unambigously.

--8<--aside
BTW2, I am using refind to multiboot, and consider my shooting myself in the foot
(clobbering my efi partition with unintended grub install) as a kind of usability-bug,
which I am tempted to use as rationale for posting to this list (but not hijacking
this post further ;-) Would that be ok, or should I join guix-help as well? I am getting
more email traffic than I am used to :) ... 

(I would like to mount a losetup file partition as a target for grub bootloader install,
and thereby capture initrds etc for manual (at first ;-) transfer into my refind efi vfat
file tree.)
--8<--aside--

> The contents of by-id and by-partuuid don't change when the install DVD is inserted,
> so I assume that the contents of those directories are not related to the DVD.
> > 
> > You could also type in the recovery
> > Guile repl that opens:
> > 
> > (use-modules (ice-9 ftw))
> > (scandir "/dev/disk/by-id")
> > (scandir "/dev/disk/by-uuid")
> > (scandir "/dev/disk/by-partuuid")
> > 
> > and maybe:
> > 
> > ,L bournish
> > cat /run/booted-system/etc/fstab
> > 
> The keyboard/usb ports do not function at this point in the boot,
> despite working earlier in the boot during EFI and GRUB.  I
> can see but not type in the recovery Guile repl.
> 
> > 
> > Regards,
> > Florian
> 
Regards,
Bengt Richter